跳转到内容
Ask AI

Crm-Netconf

此内容尚不支持你的语言。

YANG Pathget/get-configedit-configrpc
/crmY——
/crm/crm-configYmerge—
/crm/crm-resourceY——
/crm/crm-resource/history/{resource}Y——
/crm/crm-resource/realtime-resources/{resource}Y——

This chapter provides examples on how to use Netconf to manage CRM configurations and resource information on AsterNOS devices. CRM resource information include details of real-time resource information and historical resource information.

Modify CRM frequency and period configurations

Section titled “Modify CRM frequency and period configurations”

Request example to set CRM configurations via edit-config.

<config>
<top>
<crm>
<crm-config operation="merge">
<frequency>300</frequency>
<period>600</period>
</crm-config>
</crm>
</top>
</config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:6d3b9c6e-cdfe-491d-89c4-d8da527fbada">
<ok/>
</rpc-reply>

Request example to retrieve CRM configurations via get-config with subtree filter.

<filter type="subtree">
<top>
<crm>
<crm-config/>
</crm>
</top>
</filter>

Response example

<data>
<top>
<crm xmlns="http://asterfusion.com/ns/yang/asternos-crm">
<crm-config>
<frequency>300</frequency>
<period>600</period>
</crm-config>
</crm>
</top>
</data>

Get all CRM real-time resource information

Section titled “Get all CRM real-time resource information”

Request example to retrieve all CRM real-time resource information via get with subtree filter.

<filter type="subtree">
<top>
<crm>
<crm-resource>
<realtime-resources/>
</crm-resource>
</crm>
</top>
</filter>

Response example

<data>
<top>
<crm xmlns="http://asterfusion.com/ns/yang/asternos-crm">
<crm-resource>
<realtime-resources>
<realtime-resource>
<resource>ipv4-neighbor</resource>
<used-count>0</used-count>
<used-rate>%0.0</used-rate>
<available-count>32767</available-count>
<max-count>32768</max-count>
</realtime-resource>
<realtime-resource>
<resource>ipv4-route</resource>
<used-count>4</used-count>
<used-rate>%0.01</used-rate>
<available-count>38328</available-count>
<max-count>38338</max-count>
</realtime-resource>
<realtime-resource>
<resource>ipv6-neighbor</resource>
<used-count>0</used-count>
<used-rate>%0.0</used-rate>
<available-count>16383</available-count>
<max-count>16384</max-count>
</realtime-resource>
<realtime-resource>
<resource>ipv6-route</resource>
<used-count>3</used-count>
<used-rate>%0.02</used-rate>
<available-count>19164</available-count>
<max-count>19169</max-count>
</realtime-resource>
<realtime-resource>
<resource>mac</resource>
<used-count>1</used-count>
<used-rate>%0.0</used-rate>
<available-count>32767</available-count>
<max-count>32768</max-count>
</realtime-resource>
<realtime-resource>
<resource>route-nexthop</resource>
<used-count>3</used-count>
<used-rate>%0.2</used-rate>
<available-count>1533</available-count>
<max-count>1536</max-count>
</realtime-resource>
</realtime-resources>
</crm-resource>
</crm>
</top>
</data>

Get CRM real-time resource information for specific table

Section titled “Get CRM real-time resource information for specific table”

Request example to retrieve CRM real-time resource information for table ‘mac’ via get with subtree filter. Supported table entry types include: mac, ipv4-route, ipv6-route, ipv4-neighbor, ipv6-neighbor and route-nexthop.

<filter type="subtree">
<top>
<crm>
<crm-resource>
<realtime-resources>
<realtime-resource>
<resource>mac</resource>
</realtime-resource>
</realtime-resources>
</crm-resource>
</crm>
</top>
</filter>

Response example

<data>
<top>
<crm xmlns="http://asterfusion.com/ns/yang/asternos-crm">
<crm-resource>
<realtime-resources>
<realtime-resource>
<resource>mac</resource>
<used-count>1</used-count>
<used-rate>%0.0</used-rate>
<available-count>32767</available-count>
<max-count>32768</max-count>
</realtime-resource>
</realtime-resources>
</crm-resource>
</crm>
</top>
</data>

Get all CRM historical resource information

Section titled “Get all CRM historical resource information”

Request example to retrieve all CRM historical resource information via get with subtree filter.

<filter type="subtree">
<top>
<crm>
<crm-resource>
<history/>
</crm-resource>
</crm>
</top>
</filter>

Response example

<data>
<top>
<crm xmlns="http://asterfusion.com/ns/yang/asternos-crm">
<crm-resource>
<history>
<resource>mac</resource>
<history-resources>
<history-resource>
<timestamp>2025/9/26 16:31:25</timestamp>
<used-count>1</used-count>
<used-rate>%0.0</used-rate>
<available-count>32767</available-count>
<max-count>32768</max-count>
</history-resource>
<history-resource>
<timestamp>2025/9/26 16:36:25</timestamp>
<used-count>1</used-count>
<used-rate>%0.0</used-rate>
<available-count>32767</available-count>
<max-count>32768</max-count>
</history-resource>
</history-resources>
</history>
<history>
<resource>ipv4-route</resource>
<history-resources>
<history-resource>
<timestamp>2025/9/26 16:31:25</timestamp>
<used-count>4</used-count>
<used-rate>%0.03</used-rate>
<available-count>38328</available-count>
<max-count>38338</max-count>
</history-resource>
<history-resource>
<timestamp>2025/9/26 16:36:25</timestamp>
<used-count>4</used-count>
<used-rate>%0.03</used-rate>
<available-count>38328</available-count>
<max-count>38338</max-count>
</history-resource>
</history-resources>
</history>
<history>
<resource>ipv6-route</resource>
<history-resources>
<history-resource>
<timestamp>2025/9/26 16:31:25</timestamp>
<used-count>3</used-count>
<used-rate>%0.03</used-rate>
<available-count>19164</available-count>
<max-count>19169</max-count>
</history-resource>
<history-resource>
<timestamp>2025/9/26 16:36:25</timestamp>
<used-count>3</used-count>
<used-rate>%0.03</used-rate>
<available-count>19164</available-count>
<max-count>19169</max-count>
</history-resource>
</history-resources>
</history>
<history>
<resource>ipv4-neighbor</resource>
<history-resources>
<history-resource>
<timestamp>2025/9/26 16:31:25</timestamp>
<used-count>0</used-count>
<used-rate>%0.0</used-rate>
<available-count>32767</available-count>
<max-count>32768</max-count>
</history-resource>
<history-resource>
<timestamp>2025/9/26 16:36:25</timestamp>
<used-count>0</used-count>
<used-rate>%0.0</used-rate>
<available-count>32767</available-count>
<max-count>32768</max-count>
</history-resource>
</history-resources>
</history>
<history>
<resource>ipv6-neighbor</resource>
<history-resources>
<history-resource>
<timestamp>2025/9/26 16:31:25</timestamp>
<used-count>0</used-count>
<used-rate>%0.0</used-rate>
<available-count>16383</available-count>
<max-count>16384</max-count>
</history-resource>
<history-resource>
<timestamp>2025/9/26 16:36:25</timestamp>
<used-count>0</used-count>
<used-rate>%0.0</used-rate>
<available-count>16383</available-count>
<max-count>16384</max-count>
</history-resource>
</history-resources>
</history>
<history>
<resource>route-nexthop</resource>
<history-resources>
<history-resource>
<timestamp>2025/9/26 16:31:25</timestamp>
<used-count>3</used-count>
<used-rate>%0.2</used-rate>
<available-count>1533</available-count>
<max-count>1536</max-count>
</history-resource>
<history-resource>
<timestamp>2025/9/26 16:36:25</timestamp>
<used-count>3</used-count>
<used-rate>%0.2</used-rate>
<available-count>1533</available-count>
<max-count>1536</max-count>
</history-resource>
</history-resources>
</history>
</crm-resource>
</crm>
</top>
</data>

Get CRM historical resource information for specific table

Section titled “Get CRM historical resource information for specific table”

Request example to retrieve CRM historical resource information for table ‘mac’ via get with subtree filter. Supported table entry types include: mac, ipv4-route, ipv6-route, ipv4-neighbor, ipv6-neighbor and route-nexthop.

<filter type="subtree">
<top xmlns="http://asterfusion.com/ns/yang/asternos-crm">
<crm>
<crm-resource>
<history>
<resource>mac</resource>
</history>
</crm-resource>
</crm>
</top>
</filter>

Response example

<data>
<top>
<crm xmlns="http://asterfusion.com/ns/yang/asternos-crm">
<crm-resource>
<history>
<history-resources>
<history-resource>
<timestamp>2025/9/26 16:31:25</timestamp>
<used-count>1</used-count>
<used-rate>%0.0</used-rate>
<available-count>32767</available-count>
<max-count>32768</max-count>
</history-resource>
<history-resource>
<timestamp>2025/9/26 16:36:25</timestamp>
<used-count>1</used-count>
<used-rate>%0.0</used-rate>
<available-count>32767</available-count>
<max-count>32768</max-count>
</history-resource>
</history-resources>
</history>
</crm-resource>
</crm>
</top>
</data>

Get CRM configurations and all resource information

Section titled “Get CRM configurations and all resource information”

Request example to retrieve CRM configurations and all resource information via get with subtree filter.

<filter type="subtree">
<top>
<crm/>
</top>
</filter>

Response example

<data>
<top>
<crm xmlns="http://asterfusion.com/ns/yang/asternos-crm">
<crm-config>
<frequency>300</frequency>
<period>600</period>
</crm-config>
<crm-resource>
<realtime-resources>
<realtime-resource>
<resource>ipv4-neighbor</resource>
<used-count>0</used-count>
<used-rate>%0.0</used-rate>
<available-count>32767</available-count>
<max-count>32768</max-count>
</realtime-resource>
<realtime-resource>
<resource>ipv4-route</resource>
<used-count>4</used-count>
<used-rate>%0.01</used-rate>
<available-count>38328</available-count>
<max-count>38338</max-count>
</realtime-resource>
<realtime-resource>
<resource>ipv6-neighbor</resource>
<used-count>0</used-count>
<used-rate>%0.0</used-rate>
<available-count>16383</available-count>
<max-count>16384</max-count>
</realtime-resource>
<realtime-resource>
<resource>ipv6-route</resource>
<used-count>3</used-count>
<used-rate>%0.02</used-rate>
<available-count>19164</available-count>
<max-count>19169</max-count>
</realtime-resource>
<realtime-resource>
<resource>mac</resource>
<used-count>1</used-count>
<used-rate>%0.0</used-rate>
<available-count>32767</available-count>
<max-count>32768</max-count>
</realtime-resource>
<realtime-resource>
<resource>route-nexthop</resource>
<used-count>3</used-count>
<used-rate>%0.2</used-rate>
<available-count>1533</available-count>
<max-count>1536</max-count>
</realtime-resource>
</realtime-resources>
<history>
<resource>mac</resource>
<history-resources>
<history-resource>
<timestamp>2025/9/26 16:1:30</timestamp>
<used-count>1</used-count>
<used-rate>%0.0</used-rate>
<available-count>32767</available-count>
<max-count>32768</max-count>
</history-resource>
<history-resource>
<timestamp>2025/9/26 16:6:30</timestamp>
<used-count>1</used-count>
<used-rate>%0.0</used-rate>
<available-count>32767</available-count>
<max-count>32768</max-count>
</history-resource>
</history-resources>
</history>
<history>
<resource>ipv4-route</resource>
<history-resources>
<history-resource>
<timestamp>2025/9/26 16:1:30</timestamp>
<used-count>4</used-count>
<used-rate>%0.03</used-rate>
<available-count>38328</available-count>
<max-count>38338</max-count>
</history-resource>
<history-resource>
<timestamp>2025/9/26 16:6:30</timestamp>
<used-count>4</used-count>
<used-rate>%0.03</used-rate>
<available-count>38328</available-count>
<max-count>38338</max-count>
</history-resource>
</history-resources>
</history>
<history>
<resource>ipv6-route</resource>
<history-resources>
<history-resource>
<timestamp>2025/9/26 16:1:30</timestamp>
<used-count>3</used-count>
<used-rate>%0.03</used-rate>
<available-count>19164</available-count>
<max-count>19169</max-count>
</history-resource>
<history-resource>
<timestamp>2025/9/26 16:6:30</timestamp>
<used-count>3</used-count>
<used-rate>%0.03</used-rate>
<available-count>19164</available-count>
<max-count>19169</max-count>
</history-resource>
</history-resources>
</history>
<history>
<resource>ipv4-neighbor</resource>
<history-resources>
<history-resource>
<timestamp>2025/9/26 16:1:30</timestamp>
<used-count>0</used-count>
<used-rate>%0.0</used-rate>
<available-count>32767</available-count>
<max-count>32768</max-count>
</history-resource>
<history-resource>
<timestamp>2025/9/26 16:6:30</timestamp>
<used-count>0</used-count>
<used-rate>%0.0</used-rate>
<available-count>32767</available-count>
<max-count>32768</max-count>
</history-resource>
</history-resources>
</history>
<history>
<resource>ipv6-neighbor</resource>
<history-resources>
<history-resource>
<timestamp>2025/9/26 16:1:30</timestamp>
<used-count>0</used-count>
<used-rate>%0.0</used-rate>
<available-count>16383</available-count>
<max-count>16384</max-count>
</history-resource>
<history-resource>
<timestamp>2025/9/26 16:6:30</timestamp>
<used-count>0</used-count>
<used-rate>%0.0</used-rate>
<available-count>16383</available-count>
<max-count>16384</max-count>
</history-resource>
</history-resources>
</history>
<history>
<resource>route-nexthop</resource>
<history-resources>
<history-resource>
<timestamp>2025/9/26 16:1:30</timestamp>
<used-count>3</used-count>
<used-rate>%0.2</used-rate>
<available-count>1533</available-count>
<max-count>1536</max-count>
</history-resource>
<history-resource>
<timestamp>2025/9/26 16:6:30</timestamp>
<used-count>3</used-count>
<used-rate>%0.2</used-rate>
<available-count>1533</available-count>
<max-count>1536</max-count>
</history-resource>
</history-resources>
</history>
</crm-resource>
</crm>
</top>
</data>

Tree Diagram

module: asternos-crm
+--rw crm
+--rw crm-config
| +--rw frequency? uint16
| +--rw period? uint16
+--ro crm-resource
+--ro history* [resource]
| +--ro resource crm-resource-type
| +--ro history-resources
| +--ro history-resource* [timestamp]
| +--ro timestamp string
| +--ro used-count? uint64
| +--ro used-rate? string
| +--ro available-count? uint64
| +--ro max-count? uint64
+--ro realtime-resources
+--ro realtime-resource* [resource]
+--ro resource crm-resource-type
+--ro used-count? uint64
+--ro used-rate? string
+--ro available-count? uint64
+--ro max-count? uint64

Table of Properties

NameRequiredType/RangeDescription
crmMPath-only node, has no configurable value.
crm-configMPath-only node, has no configurable value.
Critical Resource Monitoring for devices.
frequencyO1..65535The frequency to get crm resource.
periodO1..65535The period to save the crm resource history.
crm-resourceROPath-only node, has no configurable value.
Resource information for devices.
historyROPath-only node, has no configurable value.
This list show all history resource of specific resource.
resourceRO”mac"
"ipv4-route"
"ipv6-route"
"ipv4-neighbor"
"ipv6-neighbor"
"route-nexthop”
Resource select.
history-resourcesROPath-only node, has no configurable value.
history-resourceROPath-only node, has no configurable value.
This list exists when requires history resource.
timestampROstringTimestamp of resource statistics
used-countROintegerResource used count.
used-rateROstringResource used rate.
available-countROintegerResource available count.
max-countROintegerResource max count.
realtime-resourcesROPath-only node, has no configurable value.
realtime-resourceROPath-only node, has no configurable value.
This list show all realtime resource of specific resource.
resourceRO”mac"
"ipv4-route"
"ipv6-route"
"ipv4-neighbor"
"ipv6-neighbor"
"route-nexthop”
Resource select.
used-countROintegerResource used count.
used-rateROstringResource used rate.
available-countROintegerResource available count.
max-countROintegerResource max count.

Tree Diagram

module: asternos-crm
+--rw crm
+--rw crm-config
+--rw frequency? uint16
+--rw period? uint16

Table of Properties

NameRequiredType/RangeDescription
crm-configMPath-only node, has no configurable value.
Critical Resource Monitoring for devices.
frequencyO1..65535The frequency to get crm resource.
periodO1..65535The period to save the crm resource history.

Tree Diagram

module: asternos-crm
+--rw crm
+--ro crm-resource
+--ro history* [resource]
| +--ro resource crm-resource-type
| +--ro history-resources
| +--ro history-resource* [timestamp]
| +--ro timestamp string
| +--ro used-count? uint64
| +--ro used-rate? string
| +--ro available-count? uint64
| +--ro max-count? uint64
+--ro realtime-resources
+--ro realtime-resource* [resource]
+--ro resource crm-resource-type
+--ro used-count? uint64
+--ro used-rate? string
+--ro available-count? uint64
+--ro max-count? uint64

Table of Properties

NameRequiredType/RangeDescription
crm-resourceROPath-only node, has no configurable value.
Resource information for devices.
historyROPath-only node, has no configurable value.
This list show all history resource of specific resource.
resourceRO”mac"
"ipv4-route"
"ipv6-route"
"ipv4-neighbor"
"ipv6-neighbor"
"route-nexthop”
Resource select.
history-resourcesROPath-only node, has no configurable value.
history-resourceROPath-only node, has no configurable value.
This list exists when requires history resource.
timestampROstringTimestamp of resource statistics
used-countROintegerResource used count.
used-rateROstringResource used rate.
available-countROintegerResource available count.
max-countROintegerResource max count.
realtime-resourcesROPath-only node, has no configurable value.
realtime-resourceROPath-only node, has no configurable value.
This list show all realtime resource of specific resource.
resourceRO”mac"
"ipv4-route"
"ipv6-route"
"ipv4-neighbor"
"ipv6-neighbor"
"route-nexthop”
Resource select.
used-countROintegerResource used count.
used-rateROstringResource used rate.
available-countROintegerResource available count.
max-countROintegerResource max count.

This list show all history resource of specific resource

Section titled “This list show all history resource of specific resource”

Tree Diagram

module: asternos-crm
+--rw crm
+--ro crm-resource
+--ro history* [resource]
+--ro resource crm-resource-type
+--ro history-resources
+--ro history-resource* [timestamp]
+--ro timestamp string
+--ro used-count? uint64
+--ro used-rate? string
+--ro available-count? uint64
+--ro max-count? uint64

Table of Properties

NameRequiredType/RangeDescription
historyROPath-only node, has no configurable value.
This list show all history resource of specific resource.
resourceRO”mac"
"ipv4-route"
"ipv6-route"
"ipv4-neighbor"
"ipv6-neighbor"
"route-nexthop”
Resource select.
history-resourcesROPath-only node, has no configurable value.
history-resourceROPath-only node, has no configurable value.
This list exists when requires history resource.
timestampROstringTimestamp of resource statistics
used-countROintegerResource used count.
used-rateROstringResource used rate.
available-countROintegerResource available count.
max-countROintegerResource max count.

Tree Diagram

module: asternos-crm
+--rw crm
+--ro crm-resource
+--ro realtime-resources
+--ro realtime-resource* [resource]
+--ro resource crm-resource-type
+--ro used-count? uint64
+--ro used-rate? string
+--ro available-count? uint64
+--ro max-count? uint64

Table of Properties

NameRequiredType/RangeDescription
realtime-resourcesROPath-only node, has no configurable value.
realtime-resourceROPath-only node, has no configurable value.
This list show all realtime resource of specific resource.
resourceRO”mac"
"ipv4-route"
"ipv6-route"
"ipv4-neighbor"
"ipv6-neighbor"
"route-nexthop”
Resource select.
used-countROintegerResource used count.
used-rateROstringResource used rate.
available-countROintegerResource available count.
max-countROintegerResource max count.